Bug 388841 - dangling symlink
dangling symlink
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kde-i18n (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-17 16:00 EST by Denise Dumas
Modified: 2008-03-31 05:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-31 05:40:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2007-11-17 16:00:43 EST
Description of problem:

kpowersave has dangling symlink from /usr/share/doc/HTML/cs/kpowersave/common to
/usr/share/doc/HTML/cs/common
kpowersave has dangling symlink from /usr/share/doc/HTML/fi/kpowersave/common to
/usr/share/doc/HTML/fi/common
kpowersave has dangling symlink from /usr/share/doc/HTML/hu/kpowersave/common to
/usr/share/doc/HTML/hu/common
kpowersave has dangling symlink from /usr/share/doc/HTML/nb/kpowersave/common to
/usr/share/doc/HTML/nb/common


regards,

Florian La Roche



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rex Dieter 2007-11-17 16:16:16 EST
NOTABUG, it refers to something provided by kdelibs.
Comment 2 Florian La Roche 2007-11-18 03:49:15 EST
Hello Rex Dieter,

Seems this is not in kdelibs and now looking at this a bit closer, it
seems also the kde-i18n directories are slightly different:

/usr/share/doc/HTML/cs/docs/common

Note the "docs" instead of the "doc" subdir.

Should this bug be against kde-i18n or against the other apps?

regards,

Florian La Roche


Comment 3 Rex Dieter 2007-11-18 07:34:24 EST
Ah, good catch.  I seem to recall this changed in kde-i18n not too long ago.  2
approaches:
kde-i18n can keep a compatibility symlink at the old location
and/or
apps need to updated to symlink to the new location

let me ponder, and play with things a bit, and see if we can come up with a
solution that minimizes churn.
Comment 4 Florian La Roche 2007-11-18 17:14:14 EST
Hello Rex,

here the full list of currently affected rpm packages related to this doc/docs
change:

kdebluetooth has dangling symlink from
/usr/share/doc/HTML/ca/kdebluetooth/common to /usr/share/doc/HTML/ca/common
kdesvn has dangling symlink from
/usr/share/doc/HTML/en/kdesvn/hi128-filesys-kdesvnadded.png to
/usr/share/doc/HTML/src/pics/hi128-filesys-kdesvnadded.png
kdesvn has dangling symlink from
/usr/share/doc/HTML/en/kdesvn/hi128-filesys-kdesvnconflicted.png to
/usr/share/doc/HTML/src/pics/hi128-filesys-kdesvnconflicted.png
kdesvn has dangling symlink from
/usr/share/doc/HTML/en/kdesvn/hi128-filesys-kdesvndeleted.png to
/usr/share/doc/HTML/src/pics/hi128-filesys-kdesvndeleted.png
kdesvn has dangling symlink from
/usr/share/doc/HTML/en/kdesvn/hi128-filesys-kdesvnlocked.png to
/usr/share/doc/HTML/src/pics/hi128-filesys-kdesvnlocked.png
kdesvn has dangling symlink from
/usr/share/doc/HTML/en/kdesvn/hi128-filesys-kdesvnmodified.png to
/usr/share/doc/HTML/src/pics/hi128-filesys-kdesvnmodified.png
kdesvn has dangling symlink from
/usr/share/doc/HTML/en/kdesvn/hi128-filesys-kdesvnneedlock.png to
/usr/share/doc/HTML/src/pics/hi128-filesys-kdesvnneedlock.png
kdesvn has dangling symlink from
/usr/share/doc/HTML/en/kdesvn/hi128-filesys-kdesvnupdates.png to
/usr/share/doc/HTML/src/pics/hi128-filesys-kdesvnupdates.png
keurocalc has dangling symlink from /usr/share/doc/HTML/nb/keurocalc/common to
/usr/share/doc/HTML/nb/common
koffice-langpack-ca has dangling symlink from
/usr/share/doc/HTML/ca/karbon/common to /usr/share/doc/HTML/ca/common
koffice-langpack-ca has dangling symlink from
/usr/share/doc/HTML/ca/kchart/common to /usr/share/doc/HTML/ca/common
koffice-langpack-ca has dangling symlink from /usr/share/doc/HTML/ca/kexi/common
to /usr/share/doc/HTML/ca/common
koffice-langpack-ca has dangling symlink from
/usr/share/doc/HTML/ca/kformula/common to /usr/share/doc/HTML/ca/common
koffice-langpack-ca has dangling symlink from
/usr/share/doc/HTML/ca/kivio/common to /usr/share/doc/HTML/ca/common
koffice-langpack-ca has dangling symlink from
/usr/share/doc/HTML/ca/koffice/common to /usr/share/doc/HTML/ca/common
koffice-langpack-ca has dangling symlink from
/usr/share/doc/HTML/ca/koshell/common to /usr/share/doc/HTML/ca/common
koffice-langpack-ca has dangling symlink from
/usr/share/doc/HTML/ca/kplato/common to /usr/share/doc/HTML/ca/common
koffice-langpack-ca has dangling symlink from
/usr/share/doc/HTML/ca/kpresenter/common to /usr/share/doc/HTML/ca/common
koffice-langpack-ca has dangling symlink from
/usr/share/doc/HTML/ca/krita/common to /usr/share/doc/HTML/ca/common
koffice-langpack-ca has dangling symlink from
/usr/share/doc/HTML/ca/kspread/common to /usr/share/doc/HTML/ca/common
koffice-langpack-ca has dangling symlink from
/usr/share/doc/HTML/ca/kugar/common to /usr/share/doc/HTML/ca/common
koffice-langpack-ca has dangling symlink from
/usr/share/doc/HTML/ca/kword/common to /usr/share/doc/HTML/ca/common
koffice-langpack-ca has dangling symlink from
/usr/share/doc/HTML/ca/thesaurus/common to /usr/share/doc/HTML/ca/common
koffice-langpack-gl has dangling symlink from
/usr/share/doc/HTML/gl/karbon/common to /usr/share/doc/HTML/gl/common
koffice-langpack-gl has dangling symlink from
/usr/share/doc/HTML/gl/kchart/common to /usr/share/doc/HTML/gl/common
koffice-langpack-gl has dangling symlink from
/usr/share/doc/HTML/gl/koffice/common to /usr/share/doc/HTML/gl/common
koffice-langpack-gl has dangling symlink from
/usr/share/doc/HTML/gl/koshell/common to /usr/share/doc/HTML/gl/common
koffice-langpack-gl has dangling symlink from
/usr/share/doc/HTML/gl/thesaurus/common to /usr/share/doc/HTML/gl/common
kpowersave has dangling symlink from /usr/share/doc/HTML/cs/kpowersave/common to
/usr/share/doc/HTML/cs/common
kpowersave has dangling symlink from /usr/share/doc/HTML/fi/kpowersave/common to
/usr/share/doc/HTML/fi/common
kpowersave has dangling symlink from /usr/share/doc/HTML/hu/kpowersave/common to
/usr/share/doc/HTML/hu/common
kpowersave has dangling symlink from /usr/share/doc/HTML/nb/kpowersave/common to
/usr/share/doc/HTML/nb/common


regards,

Florian La Roche
Comment 5 Rex Dieter 2007-12-10 09:08:25 EST
Reassigning -> kde-i18n
Comment 7 Ngo Than 2008-03-31 05:40:08 EDT
i don't see the dangling symlink in F8 and rawhide anymore. It's fixed

Note You need to log in before you can comment on or make changes to this bug.